
exec("./tank.cs");

//-----------------------------------------------------------------------------

function TankData::create(%block)
{
   switch$(%block)
   {
      case "LightTank":
         %obj = new Tank() {
            dataBlock = %block;
         };
         return(%obj);
      case "MediumTank":
         %obj = new Tank() {
            dataBlock = %block;
         };
         return(%obj);
      case "HeavyTank":
         %obj = new Tank() {
            dataBlock = %block;
         };
         return(%obj);
   }
   return(-1);
}

function TankData::onAdd(%this,%obj)
{
}

function TankData::onTargetDestroyed(%db,%this,%killer)
{
   // need to deal with both ai bots and players as killer's and killee's

   %isPlayerKilled = isObject(%this.client);
   %isPlayerKiller = isObject(%killer.client);

   if (%isPlayerKiller)
   {
      %killer.incScore(1,1);
      %killer.client.kills++;
      if (%killer.client.kills % 10 == 0)
         spawnTarget(TargetSaucer);
   }
   if (%isPlayerKilled)
         commandToClient(%client,'CenterPrint',"Your brain has been separated from your tank, press SPACE.", 0, 1 );
   else if (%this.dataBlock.getName() !$= "TargetSaucer")
      spawnTarget(%this.dataBlock);

   if (LocalClientConnection.kills == 5)
      schedule(1500,0,"exitTargetPractice");
}

function TankData::onDestroyed(%db,%this,%killer)
{
   if ($Game::SinglePlayer)
   {
      %db.onSPDestroyed(%this,%killer);
      return;
   }
   if ($Game::TargetRange)
   {
      %db.onTargetDestroyed(%this,%killer);
      return;
   }

   // need to deal with both ai bots and players as killer's and killee's

   %client = %this.client;
   %client.deaths++;

   // echo("killed tank: " @ %this @ ", client: " @ %client);
   // echo("killer tank: " @ %killer @ ", client: " @ %killerClient);

   if (isObject(%killer))
   {
      messageAll('MsgClientKilled','%1 has been eliminated by %2!',%client.name,%killer.client.name);
      if ($Game::MissionType $= "Deathmatch")
      {
         // this is a score...
         if ($Game::TeamGame)
         {
            if (%killer.client.team.getId() != %client.team.getId())
               %killer.incScore(1,1);
         }
         else
            %killer.incScore(1,1);
      }
      %killer.client.kills++;
   }
   else
   {
      messageAll('MsgClientKilled','%1 has been eliminated!',%client.name);
   }

   if ($Game::MissionType $= "Deathmatch")
   {
      if ($Game::TeamGame)
      {
         if (isObject(%killer) && %killer.client.team.getId() == %client.team.getId())
            // team killer, lose point
            %this.incScore(-1,-1);
         else
            %this.incScore(-1,0);
      }
      else
         %this.incScore(-1,-1);
   }
   if (!isObject(%client.ai))
   {
      if ($Game::aiControlMode)
      {
         %client.player = 0;
         %client.schedule(4000,"spawnPlayer");
      }
      else
         commandToClient(%client,'CenterPrint',"Your brain has been separated from your tank, press SPACE.", 0, 1 );
   }
   else
      spawnBotPlayer(%client);
}

function Tank::onRemove(%this)
{
}

// Based on old GameConnection incScore function -- moved here for ai
function Tank::incScore(%this,%delta,%deltaTeam)
{
   %client = %this.client;

   // handle floor on score
   if (-%delta>%client.score)
   {
      %client.cumScore -= %client.score;
      %client.score = 0;
   }
   else
   {
      %client.score += %delta;
      %client.cumScore += %delta;
   }

   if (isObject(%client.team))
   {
      if (-%deltaTeam>%client.team.score)
      {
         %client.team.cumScore -= %client.team.score;
         %client.team.score = 0;
      }
      else
      {
         %client.team.score += %deltaTeam;
         %client.team.cumScore += %deltaTeam;
      }
   }
   messageAll('MsgClientScoreChanged', "", %client.score, %client.cumScore, %client);
   if (isObject(%client.team))
      messageAll('MsgTeamScoreChanged', "", %client.team.score, %client.team.cumScore, %client.team.getId());
}
