//-----------------------------------------------------------------------
//---------------------------- BRONZE TANKS -----------------------------
//-----------------------------------------------------------------------

new TankAIData(BronzeLightAI)
{
   homeRange = 1000;      // how far from "home" will it wonder
   targetRange = 500;     // how far away does it have to be before targeting an enemy
   disengageRange = 500;  // at what distance will it disengage an enemy
   aim = 15.0;            // how accurate? degrees variance from dead-on aim
   aimSpeed = 0.1;        // 0-1, 1=instantanous, 0=never move (0.2 -> 2/3 sec to get 99% there,0.1 -> 2/3 sesc to get 90% there)
   triggerHappy = 5;      // angle in degrees at which tank will not fire (smaller number, more frugal)
   longShotScale = 4;     // fire less often at a distance -- scales reload times (bigger = slower)
   fleeDamage = 0.7;      // at what damage level (0-1, 0 undamaged) will it turn and flee to re-group
   fleeOnTime = 8000;     // how long to keep fleeing turned on (in ms)
   fleeOffTime = 10000;   // how long to keep fleeing turned off after re-engaging (in ms)
   scanDelay = 1500;      // how long to delay between enemy scans (in ms)
   follow = true;         // will it follow a target outside "home" area?

   snipeWeight = 1.0;     // selection weight for sniping attacks
   ramWeight = 0.2;       // selection weight for ram attacks
   flankWeight = 1.0;     // selection weight for flanking attacks
   backWeight = 1.0;      // selection weigth for back-track attacks

   ocWeight = 2.0;        // obsessive-compulsive factor -- larger # means sticks with current target more
   revengeWeight = 1.0;   // larger # means go after tank that just shot us
};

new TankAIData(BronzeMediumAI : BronzeLightAI)
{
   snipeWeight = 1.0;
   ramWeight = 1.0;
   flankWeight = 1.0;
   backWeight = 1.0;
};

new TankAIData(BronzeHeavyAI : BronzeLightAI)
{
   snipeWeight = 1.0;
   ramWeight = 1.0;
   flankWeight = 0.0;
   backWeight = 0.0;
   fleeDamage = 1.1;
};

//-----------------------------------------------------------------------
//--------------------------- SILVER TANKS -----------------------------
//-----------------------------------------------------------------------

new TankAIData(SilverLightAI : BronzeLightAI)
{
   aim = 10;
   aimSpeed = 0.2;
   fleeDamage = 0.8;
   triggerHappy = 4;
};

new TankAIData(SilverMediumAI : BronzeMediumAI)
{
   aim = 10;
   aimSpeed = 0.2;
   fleeDamage = 0.8;
   triggerHappy = 4;
};

new TankAIData(SilverHeavyAI : BronzeHeavyAI)
{
   aim = 10;
   aimSpeed = 0.2;
   triggerHappy = 4;
};

//-----------------------------------------------------------------------
//----------------------------- GOLD TANKS ------------------------------
//-----------------------------------------------------------------------

new TankAIData(GoldLightAI : SilverLightAI)
{
   aim = 4;
   aimSpeed = 0.5;
   fleeDamage = 0.9;
   triggerHappy = 2;
};

new TankAIData(GoldMediumAI : SilverMediumAI)
{
   aim = 4.2;
   aimSpeed = 0.5;
   fleeDamage = 0.9;
   triggerHappy = 2;
};

new TankAIData(GoldHeavyAI : SilverHeavyAI)
{
   aim = 4.4;
   aimSpeed = 0.5;
   triggerHappy = 2;
};

new TankAIData(BossAI : GoldHeavyAI)
{
   flankWeight = 0;
   backWeight = 0;

   aim = 2;
   aimSpeed = 0.5;
   fleeDamage = 2;
   triggerHappy = 2;
   longShotScale = 2;
};

new TankAIData(TargetLightAI)
{
   snipeWeight = 0.0;
   ramWeight = 0.0;
   flankWeight = 1.0;
   backWeight = 0.0;

   fleeDamage = -1.0;
   fleeOnTime = 30000;
   fleeOffTime = 0;
};

new TankAIData(TargetMediumAI)
{
   snipeWeight = 1.0;
   ramWeight = 0.0;
   flankWeight = 0.0;
   backWeight = 0.0;

   fleeDamage = 0.72;
   fleeOnTime = 9000;
   fleeOffTime = 5000;
};

new TankAIData(TargetHeavyAI)
{
   snipeWeight = 1.0;
   ramWeight = 0.0;
   flankWeight = 0.0;
   backWeight = 0.0;

   fleeDamage = 1.0;
   fleeOnTime = 30000;
   fleeOffTime = 0;
};

new TankAIData(TargetSaucerAI)
{
   snipeWeight = 0.0;
   ramWeight = 1.0;
   flankWeight = 0.0;
   backWeight = 0.0;

   fleeDamage = 1.0;
   fleeOnTime = 30000;
   fleeOffTime = 0;
};

