datablock AudioProfile(FireSound)
{
   filename = "~/data/sound/fireProj.wav";
   description = "AudioDefault3DMed";
	preload = true;
};

datablock AudioProfile(DryFireSound)
{
   filename = "~/data/sound/dryFire.wav";
   description = "AudioDefault3DMed";
	preload = true;
};

datablock AudioProfile(EngineKnockSound)
{
   filename = "~/data/sound/tankDamage.wav";
   description = "AudioDefault3DMed";
	preload = true;
};

datablock AudioProfile(StaticCollSound)
{
   filename = "~/data/sound/staticColl.wav";
   description = "AudioDefault3DMed";
	preload = true;
};

datablock AudioProfile(TankCollSound)
{
   filename = "~/data/sound/tankColl.wav";
   description = "AudioDefault3DMed";
	preload = true;
};

// SoftCollSound moved to special.cs
// because used by flag also...
//datablock AudioProfile(SoftCollSound)

datablock AudioProfile(EjectSound)
{
   filename = "~/data/sound/eject.wav";
   description = "AudioDefault3DMed";
	preload = true;
};

datablock AudioProfile(TankIdleSound)
{
   filename = "~/data/sound/tankIdle.wav";
   description = "AudioDefaultLooping3DMed";
	preload = true;
};

datablock AudioProfile(TankEngineSound)
{
   filename = "~/data/sound/tankEngine.wav";
   description = "AudioDefaultLooping3D";
	preload = true;
};

datablock AudioProfile(SaucerEngineSound)
{
   filename = "~/data/sound/UFO.wav";
   description = "AudioDefaultLooping3D";
	preload = true;
};

datablock TankCameraData(DefaultTankCamera)
{
   camFocusDist = 10.1;      // dist. in front of tank to focus cam
   camFocusUpDist = 0.9;     // dist. above tank to focus cam
   camBackupDist = 6.2;      // dist. behind tank to place camera
   camFloatHeight = 6.22;    // dist. above the ground to float cam
   //camFloatHeight = 8.15;    // dist. above the ground to float cam
   camSmooth = 0.33;         // 0 -> no smoothing 1 -> so smooth camera doesn't move
   camSmoothTurn = 0.77;
   camSmoothUp = 0.75;
   camFov = 90.0;            // camera field of view, in degrees
   camNear = 0.5;            // camera near distance
};

datablock TankFxData(DefaultTankFx)
{
   corpseRotateRate = 0.06;  // how fast to rotate around dead tank -- 1 = 1/sec
   corpseShakeTime = 0.8;    // how long to shake dead tank before flipping -- in seconds
   corpseShakeSpeed = 1.0;   // bigger number, fast shake
   corpseShakeAmp = 1.0;     // bigger number, bigger shake
   corpseJumpHeight = 0.5;   // height corpse jumps, in meters
   corpseFlipSpeed = 0.3;    // how fast to flip dead tank -- seconds to flip
   corpseSmokeTime = 4.0;    // how long to keep smoking after flipped -- in seconds
   corpseFadeTime = 4.0;     // at what time to fade out tank after death -- in seconds
   corpseFadeSpeed = 1.0;    // how long to spend fading tank -- in seconds

   hardTankCollSound = "TankCollSound"; // sound to play when hitting other tank hard
   hardTankCollVel = 10;                // must be going this fast (m/s) to make hard sound
   softTankCollSound = "SoftCollSound"; // soft sound
   softTankCollVel = 1;                 // speed to make soft sound
   tankCollISI = 200;                   // don't replay sooner than this (in ms)

   hardStaticCollSound = "StaticCollSound"; // sound to play when hitting static hard
   hardStaticCollVel = 10;                  // must be going this fast (m/s) to make hard sound
   softStaticCollSound = "SoftCollSound";   // soft sound
   softStaticCollVel = 1;                   // speed to make soft sound
   staticCollISI = 200;                     // don't replay sooner than this (in ms)

   hardGroundCollSound = "StaticCollSound"; // sound to play when hitting ground hard
   hardGroundCollVel = 10;                // must be going this fast (m/s) to make hard sound
   softGroundCollSound = "SoftCollSound"; // soft sound
   softGroundCollVel = 4;                 // speed to make soft sound
   groundCollISI = 200;                   // don't replay sooner than this (in ms)

   looseHeadSound = "EjectSound";
   fireSound      = "FireSound";
   dryFireSound   = "DryFireSound";
   engineKnockSound = "EngineKnockSound";

   engineKnockStart = 1.1;                // engine starts knocking at this much damage (0-1, 0 undamaged)
   engineKnockMin = 5;                    // min latency between knocks (when fully damaged)
   engineKnockMax = 20;                   // max latency between knocks (when it first starts knocking)

   engineSoundA = "TankIdleSound";
   enginePitchA0 = 1;
   enginePitchA1 = 1.4;
   engineVolA0 = 0.3;
   engineVolA1 = 0.2;
   engineSoundB = "TankEngineSound";
   enginePitchB0 = 0.8;
   enginePitchB1 = 1.3;
   engineVolB0 = 0.1;
   engineVolB1 = 0.6;

   damageEmitterStart = 0.3;
   damageEmitter = "SmokeEmitter";
   damageEmitterNode = "smoke1";

   brainProjectile = "BrainProjectile";
};

datablock TankFxData(ufoFX : DefaultTankFx)
{
engineSoundA = "SaucerEngineSound";
   enginePitchA0 = 1;
   enginePitchA1 = 1.4;
   engineVolA0 = 0.3;
   engineVolA1 = 0.2;
   engineSoundB = "SaucerEngineSound";
   enginePitchB0 = 0.8;
   enginePitchB1 = 1.3;
   engineVolB0 = 0.1;
   engineVolB1 = 0.6;
};

datablock TankFxData(BabyBossFX : ufoFX)
{
engineSoundA = "SaucerEngineSound";
   enginePitchA0 = 1;
   enginePitchA1 = 1.4;
   engineVolA0 = 0.3;
   engineVolA1 = 0.2;
   engineSoundB = "SaucerEngineSound";
   enginePitchB0 = 0.8;
   enginePitchB1 = 1.3;
   engineVolB0 = 0.1;
   engineVolB1 = 0.6;
};

datablock TankMiscData(DefaultTankMisc)
{
   boostTicks = 5;           // spread boost over this many ticks
   bounceStatic = 0.4;       // 0->complete stop 1->full reverse
   bounceTank = 0.75;        // 0->complete stop 1->full reverse
   unstuckTime = 1000;       // time (in ms) tank can be stuck before getting unstuck boost
   unstuckBoost = 5;         // velocity boost in m/s
   repairRate = 0.0;         // number of units of damage repaired/second
};
